(***********************************************************************)
(*                                                                     *)
(*                             Pio (OCaml)                             *)
(*                                                                     *)
(*                    Polyglot Input/Output Library                    *)
(*                                                                     *)
(*               EPI Pomdapi, INRIA Paris - Rocquencourt               *)
(*                                                                     *)
(*  Copyright 2005-2014 INRIA.                                         *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: gen_communication.ml,v 1.8 2014/01/10 19:22:11 fclement Exp $ *)

open Communication;;

let vals = Array.of_list Gen_typed_values.list;;

let list =
  [
    Communication.Service (Start, [| Typed_value.of_string "Hello Master Foo!"; |]);
    Communication.Phrase vals;
    Communication.Task ("fib", [| Typed_value.of_int 38; |]);
    Communication.Result [| Typed_value.of_int 42; |];
    Communication.Error [|
      Typed_value.of_string "Failure";
      Typed_value.of_string "index out of bound";
    |];
    Communication.Service (Stop, [| Typed_value.of_string "Bye Master Foo!"; |]);
  ]
;;
